Bug 1794953 - sipp binary must have setcap cap_net_raw+ep for RTP replay
Summary: sipp binary must have setcap cap_net_raw+ep for RTP replay
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sipp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-25 19:22 UTC by Peter Lemenkov
Modified: 2020-02-08 01:59 UTC (History)
1 user (show)

Fixed In Version: sipp-3.6.0-2.fc30 sipp-3.6.0-2.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-08 01:37:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Lemenkov 2020-01-25 19:22:51 UTC
sudo setcap cap_net_raw+ep `which sipp` fixes the following error:

sipp: The following events occurred:
2020-01-25	20:09:14.337369	1579979354.337369: Can't create raw IPv4 socket (need to run as root?): Operation not permitted

Comment 1 Fedora Update System 2020-01-27 12:47:42 UTC
FEDORA-2020-744431a4ef has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-744431a4ef

Comment 2 Fedora Update System 2020-01-27 12:47:43 UTC
FEDORA-2020-2ebfd3fd5c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2ebfd3fd5c

Comment 3 Fedora Update System 2020-01-31 01:28:33 UTC
sipp-3.6.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2ebfd3fd5c

Comment 4 Fedora Update System 2020-01-31 02:25:24 UTC
sipp-3.6.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-744431a4ef

Comment 5 Fedora Update System 2020-02-08 01:37:16 UTC
sipp-3.6.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-02-08 01:59:55 UTC
sipp-3.6.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.